Benachrichtigungs-Handler
GET https://vitalsscan.com/api/notification-handlers/
curl --request GET \
--url 'https://vitalsscan.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vitalsscan.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Nach welchem Feld gesucht werden soll. Erlaubte Werte sind: name. |
| is_enabled | Optional Boolean | |
| type | Optional String | Nach welchem Feld gesucht werden soll. Erlaubte Werte sind: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Ergebnisse ab diesem Zeitpunkt filtern. Format Y-m-d H:i:s. |
| datetime_end | Optional String | Ergebnisse bis zu diesem Zeitpunkt filtern. Format Y-m-d H:i:s. |
| order_by | Optional String | Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optional String | Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigend und DESC für absteigend. |
| page | Optional Integer | Die Seitennummer, von der Sie Ergebnisse erhalten möchten. Standard ist 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse Sie pro Seite möchten. Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-25 02:08:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://vitalsscan.com/api/notification-handlers?page=1",
"last": "https://vitalsscan.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://vitalsscan.com/api/notification-handlers?page=1"
}
}
GET https://vitalsscan.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://vitalsscan.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vitalsscan.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-25 02:08:56",
}
}
POST https://vitalsscan.com/api/notification-handlers
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| type | Erforderlich String | Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams |
| Optional String | Verfügbar wenn: type = email E-Mail | |
| webhook | Optional String | Verfügbar wenn: type = webhook Webhook-URL |
| slack | Optional String | Verfügbar wenn: type = slack Slack-Webhook-URL |
| discord | Optional String | Verfügbar wenn: type = discord Discord-Webhook-URL |
| telegram | Optional String | Verfügbar wenn: type = telegram Telegram-API-Token |
| telegram_chat_id | Optional String | Verfügbar wenn: type = telegram Telegram-Chat-ID |
| microsoft_teams | Optional String | Verfügbar wenn: type = microsoft_teams Microsoft-Teams-Webhook-URL |
curl --request POST \
--url 'https://vitalsscan.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://vitalsscan.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://vitalsscan.com/api/notification-handlers/{notification_handler_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional String | - |
| type | Optional String | Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams |
| Optional String | Verfügbar wenn: type = email E-Mail | |
| webhook | Optional String | Verfügbar wenn: type = webhook Webhook-URL |
| slack | Optional String | Verfügbar wenn: type = slack Slack-Webhook-URL |
| discord | Optional String | Verfügbar wenn: type = discord Discord-Webhook-URL |
| telegram | Optional String | Verfügbar wenn: type = telegram Telegram-API-Token |
| telegram_chat_id | Optional String | Verfügbar wenn: type = telegram Telegram-Chat-ID |
| microsoft_teams | Optional String | Verfügbar wenn: type = microsoft_teams Microsoft-Teams-Webhook-URL |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://vitalsscan.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://vitalsscan.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://vitalsscan.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://vitalsscan.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vitalsscan.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \